org.modeshape.jcr.index.local

## Class IndexSpec

- java.lang.Object
- - org.modeshape.jcr.index.local.IndexSpec

- Direct Known Subclasses:
    IndexSpec.SingleColumnSpec

      public abstract class IndexSpec
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `IndexSpec.SingleColumnSpec`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ExecutionContext` | `context`
    `protected MapDB.Serializers` | `serializers`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IndexSpec(ExecutionContext context, IndexDefinition defn)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexSpec` | `create(ExecutionContext context, IndexDefinition defn)`
    `abstract org.mapdb.BTreeKeySerializer<?>` | `getBTreeKeySerializer()`
    `abstract Comparator<?>` | `getComparator()`
    `abstract IndexValues.Converter<?>` | `getConverter()`
    `abstract org.mapdb.Serializer<?>` | `getSerializer()`
    `abstract Class<?>` | `getValueClass()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected final ExecutionContext context

    - #### serializers

          protected final MapDB.Serializers serializers

  - ### Constructor Detail

    - #### IndexSpec

          protected IndexSpec(ExecutionContext context,
                   IndexDefinition defn)

  - ### Method Detail

    - #### create

          public static IndexSpec create(ExecutionContext context,
                         IndexDefinition defn)

    - #### getSerializer

          public abstract org.mapdb.Serializer<?> getSerializer()

    - #### getBTreeKeySerializer

          public abstract org.mapdb.BTreeKeySerializer<?> getBTreeKeySerializer()

    - #### getComparator

          public abstract Comparator<?> getComparator()

    - #### getConverter

          public abstract IndexValues.Converter<?> getConverter()

    - #### getValueClass

          public abstract Class<?> getValueClass()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.